Bug 463387 - [LTC 6.0 FEAT] 201154:LoP Upgrade to glibc 2.7+
[LTC 6.0 FEAT] 201154:LoP Upgrade to glibc 2.7+
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Andreas Schwab
Petr Muller
: FutureFeature
Depends On:
Blocks: 356741 486594 554559
  Show dependency treegraph
 
Reported: 2008-09-23 00:00 EDT by IBM Bug Proxy
Modified: 2016-11-24 07:05 EST (History)
9 users (show)

See Also:
Fixed In Version: glibc-2.11-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 00:00:50 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-17 17:23 EDT
1. Feature Overview:
Feature Id:	[201154]
a. Name of Feature:	LoP Upgrade to glibc 2.7+ 
b. Feature Description
Companion request to the request to update GCC-4.3 contains Decimal Floating
Point support plus many additional optimizations useful to POWER. This request
is for updating glibc to 2.7 or higher.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Both
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	GCC-4.3, binutils-2.18, GLIBC-2.7+
Performance Assistance:	yes

3. Business Case
Support multiple POWER6/7 features while minimizing backports

Benefits
Performance improvements for POWER6/7 customers, direct support for POWER6/7
hardware features.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Steve Munroe, sjmunroe@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 13:37:42 EDT
The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 15:21:47 EST
RHEL6 will be using GLIBC version 2.10, so we are all set here.
Comment 3 Jakub Jelinek 2009-09-22 05:30:37 EDT
glibc 2.11, anyway, that is still > 2.7.
Comment 7 IBM Bug Proxy 2010-05-07 16:21:40 EDT
------- Comment From rsa@us.ibm.com 2010-05-07 16:14 EDT-------
Verified in RHEL-6.0-Snapshot-2
ls -la /lib
-rwxr-xr-x.  1 root root 1948248 Feb 25 07:34 libc-2.11.1.so
Comment 9 releng-rhel@redhat.com 2010-11-11 09:39:28 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.